<h1 *ngIf="type == 'sum'">Suma</h1>
<h1 *ngIf="type == 'subtraction'">Resta</h1>
<h1 *ngIf="type == 'multiplication'">Multiplicación</h1>
<h1 *ngIf="type == 'potency'">Potencia</h1>

<form (ngSubmit)="onSubmit()" [formGroup]="formOperation" fxLayout="column" fxFlex="100%">
    <p>
        <mat-form-field appearance="legacy">
            <mat-label>Valor "a"</mat-label>
            <input matInput formControlName="numberA" placeholder="numer" type="number">
        </mat-form-field>
        <span *ngIf="type == 'sum'">  +  </span>
        <span *ngIf="type == 'subtraction'">  -  </span>
        <span *ngIf="type == 'multiplication'">  *  </span>
        <span *ngIf="type == 'potency'">  ^  </span>
        <mat-form-field appearance="standard">
            <mat-label>Valor "b"</mat-label>
            <input matInput formControlName="numberB" placeholder="number" type="number">
        </mat-form-field>
        <span>  =  </span>
        <span>  {{result}}  </span>
    </p>
    <p *ngIf="errorMessage" style="color: red">Todos los campos son requeridos</p>
    <button mat-raised-button color="primary" type="submit">Consultar</button>
</form>